com.io7m.r2.core

## Class R2MaskBufferDescription.Builder

- java.lang.Object
- - com.io7m.r2.core.R2MaskBufferDescription.Builder

- Enclosing class:
    R2MaskBufferDescription

      public static final class R2MaskBufferDescription.Builder
      extends Object

  Builds instances of type `R2MaskBufferDescription`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2MaskBufferDescription` | `build()` Builds a new `R2MaskBufferDescription`.
    `R2MaskBufferDescription.Builder` | `from(R2MaskBufferDescriptionType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2MaskBufferDescriptionType` instance.
    `R2MaskBufferDescription.Builder` | `from(R2RenderTargetDescriptionType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2RenderTargetDescriptionType` instance.
    `R2MaskBufferDescription.Builder` | `setArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)` Initializes the value for the `area` attribute.
    `R2MaskBufferDescription.Builder` | `setDepthAttachment(Optional<R2DepthAttachmentSpecificationType> depthAttachment)` Initializes the optional value `depthAttachment` to depthAttachment.
    `R2MaskBufferDescription.Builder` | `setDepthAttachment(R2DepthAttachmentSpecificationType depthAttachment)` Initializes the optional value `depthAttachment` to depthAttachment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2MaskBufferDescription.Builder from(R2RenderTargetDescriptionType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2RenderTargetDescriptionType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final R2MaskBufferDescription.Builder from(R2MaskBufferDescriptionType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2MaskBufferDescriptionType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setArea

          public final R2MaskBufferDescription.Builder setArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)

      Initializes the value for the `area` attribute.
      Parameters:
        `area` - The value for area
      Returns:
        `this` builder for use in a chained invocation

    - #### setDepthAttachment

          public final R2MaskBufferDescription.Builder setDepthAttachment(R2DepthAttachmentSpecificationType depthAttachment)

      Initializes the optional value `depthAttachment` to depthAttachment.
      Parameters:
        `depthAttachment` - The value for depthAttachment
      Returns:
        `this` builder for chained invocation

    - #### setDepthAttachment

          public final R2MaskBufferDescription.Builder setDepthAttachment(Optional<R2DepthAttachmentSpecificationType> depthAttachment)

      Initializes the optional value `depthAttachment` to depthAttachment.
      Parameters:
        `depthAttachment` - The value for depthAttachment
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2MaskBufferDescription build()

      Builds a new `R2MaskBufferDescription`.
      Returns:
        An immutable instance of R2MaskBufferDescription
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com